/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editpart.figure;

import org.eclipse.draw2d.IFigure;
import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.TreeSearch;
import org.eclipse.swt.graphics.Image;

/**
 * A label that is transparent for the mouse location interpretation.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash:
 */
public class TransparentLabel extends Label {

	/** Constructor. */
	public TransparentLabel() {
		super();
	}

	/** Constructor. */
	public TransparentLabel(String text) {
		super(text);
	}

	/** Constructor. */
	public TransparentLabel(Image image) {
		super(image);
	}

	/** Constructor. */
	public TransparentLabel(String text, Image image) {
		super(text, image);
	}

	/** {@inheritDoc} */
	@Override
	public IFigure findFigureAt(int x, int y, TreeSearch search) {
		// implements transparency
		return null;
	}

	/** {@inheritDoc} */
	@Override
	public boolean isOpaque() {
		// implements transparency
		return false;
	}
}
