/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.layout.constants;

import org.conqat.ide.commons.ui.swt.FontUtils;
import org.eclipse.draw2d.geometry.Point;
import org.eclipse.jface.resource.JFaceResources;
import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Font;

/**
 * Default layout constants for GEF-based editors.
 * 
 * @author wandinger
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 1ADDF13DA92039D5C42C0993B683A4F2
 */
public final class DefaultLayoutConstants {

	/** Title font. */
	public static final Font TITLE_FONT = FontUtils.derive(
			JFaceResources.getDefaultFont(), 0, SWT.BOLD);

	// editor grid constants
	/** The default offset of the grid. */
	public static final Point DEFAULT_GRID_ORIGIN = new Point(0, 0);

	/** The default size between two lines of the grid. */
	public static final int DEFAULT_GRID_SIZE = 12;

	// shape default constants
	/** The default size of the insets of a shape. */
	public static final int DEFAULT_SHAPE_INSETS = DEFAULT_GRID_SIZE;

	/** The default minimum width of a shape. */
	public static final int DEFAULT_SHAPE_MINIMUM_WIDTH = 9 * DEFAULT_GRID_SIZE;

	/** The default minimum height of a shape. */
	public static final int DEFAULT_SHAPE_MINIMUM_HEIGHT = 6 * DEFAULT_GRID_SIZE;

	/** The default aspect ratio of shapes. */
	public static final double DEFAULT_SHAPE_ASPECT_RATIO = 1.6;

	// connector default constants
	/** The size of a default connector. */
	public static final int DEFAULT_CONNECTOR_SIZE = 2 * DEFAULT_GRID_SIZE;

	/** The default position offset of a shape. */
	public static final int DEFAULT_SHAPE_OFFSET = 2 * DEFAULT_GRID_SIZE;
}
