/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.ui.internal.views;

import org.eclipse.jface.util.LocalSelectionTransfer;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TreeViewer;
import org.eclipse.swt.dnd.DragSourceAdapter;
import org.eclipse.swt.dnd.DragSourceEvent;

/**
 * Drag and drop support for {@link LibraryView}.
 * 
 * @author eder
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating GREEN Hash: E21E2799DA5A521B7B102FCF933556F5
 */
public class EObjectDragSourceListener extends DragSourceAdapter {

	/** Library tree viewer */
	private final TreeViewer libraryViewer;

	/** Constructor */
	public EObjectDragSourceListener(TreeViewer libraryViewer) {
		this.libraryViewer = libraryViewer;
	}

	/** {@inheritDoc} */
	@Override
	public void dragStart(DragSourceEvent event) {
		if (libraryViewer.getSelection() == null) {
			event.doit = false;
		} else {
			IStructuredSelection sel = (IStructuredSelection) libraryViewer
					.getSelection();
			if (sel.size() != 1) {
				event.doit = false;
			} else {
				event.doit = true;
				event.data = ((IStructuredSelection) libraryViewer
						.getSelection()).getFirstElement();
			}
			LocalSelectionTransfer.getTransfer().setSelection(sel);
		}
	}

	/** {@inheritDoc} */
	@Override
	public void dragSetData(DragSourceEvent event) {
		event.data = ((IStructuredSelection) libraryViewer.getSelection())
				.getFirstElement();
	}
}
